Bug 1884972 - [abrt] epiphany: weak_refs_notify(): epiphany killed by SIGSEGV
Summary: [abrt] epiphany: weak_refs_notify(): epiphany killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: epiphany
Version: 33
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Catanzaro
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d0141fc13f446d954e80f32f1ed...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-04 08:35 UTC by mattwaswo
Modified: 2021-11-30 18:25 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 18:25:58 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (97.07 KB, text/plain)
2020-10-04 08:35 UTC, mattwaswo
no flags Details
File: core_backtrace (70.45 KB, text/plain)
2020-10-04 08:35 UTC, mattwaswo
no flags Details
File: cpuinfo (2.53 KB, text/plain)
2020-10-04 08:35 UTC, mattwaswo
no flags Details
File: dso_list (6.37 KB, text/plain)
2020-10-04 08:35 UTC, mattwaswo
no flags Details
File: environ (1.83 KB, text/plain)
2020-10-04 08:35 UTC, mattwaswo
no flags Details
File: exploitable (82 bytes, text/plain)
2020-10-04 08:35 UTC, mattwaswo
no flags Details
File: limits (1.29 KB, text/plain)
2020-10-04 08:35 UTC, mattwaswo
no flags Details
File: maps (63.98 KB, text/plain)
2020-10-04 08:35 UTC, mattwaswo
no flags Details
File: mountinfo (2.87 KB, text/plain)
2020-10-04 08:35 UTC, mattwaswo
no flags Details
File: open_fds (6.64 KB, text/plain)
2020-10-04 08:35 UTC, mattwaswo
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2020-10-04 08:35 UTC, mattwaswo
no flags Details

Description mattwaswo 2020-10-04 08:35:05 UTC
Description of problem:
I was viewing a webage and clicked back and Epiphany crashed before the page could load. 

Version-Release number of selected component:
epiphany:1-3.38.0-1.fc33

Additional info:
reporter:       libreport-2.14.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app-gnome-org.gnome.Epiphany-18827.scope
cmdline:        epiphany
crash_function: weak_refs_notify
executable:     /usr/bin/epiphany
journald_cursor: s=edcb43408f664e31815bd11f483201f7;i=35906;b=4ec83f41c5634773a56615608f12ba63;m=59641514d;t=5b0cf7df301fa;x=c86dc39265b2e847
kernel:         5.8.13-300.fc33.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 mattwaswo 2020-10-04 08:35:10 UTC
Created attachment 1718729 [details]
File: backtrace

Comment 2 mattwaswo 2020-10-04 08:35:13 UTC
Created attachment 1718730 [details]
File: core_backtrace

Comment 3 mattwaswo 2020-10-04 08:35:16 UTC
Created attachment 1718731 [details]
File: cpuinfo

Comment 4 mattwaswo 2020-10-04 08:35:18 UTC
Created attachment 1718732 [details]
File: dso_list

Comment 5 mattwaswo 2020-10-04 08:35:21 UTC
Created attachment 1718733 [details]
File: environ

Comment 6 mattwaswo 2020-10-04 08:35:24 UTC
Created attachment 1718734 [details]
File: exploitable

Comment 7 mattwaswo 2020-10-04 08:35:26 UTC
Created attachment 1718735 [details]
File: limits

Comment 8 mattwaswo 2020-10-04 08:35:29 UTC
Created attachment 1718736 [details]
File: maps

Comment 9 mattwaswo 2020-10-04 08:35:32 UTC
Created attachment 1718737 [details]
File: mountinfo

Comment 10 mattwaswo 2020-10-04 08:35:34 UTC
Created attachment 1718738 [details]
File: open_fds

Comment 11 mattwaswo 2020-10-04 08:35:37 UTC
Created attachment 1718739 [details]
File: proc_pid_status

Comment 12 Michael Catanzaro 2020-10-04 14:38:22 UTC
Thanks for this crash report. The backtrace is good, but sadly not enough for me to spot the problem. I don't think we'll solve this without catching it in gdb.

In particular, the weak refs in EphyPagesPopover look OK to me. It might be a bug in GTK itself. Shame we can't see the top frame of the backtrace.

Comment 13 jpbn 2021-04-02 17:49:12 UTC
webkit2pkg3 in package in F34 beta 1.3 is very old  epiphany        x86_64       1:40.0-1.fc34  

new version webkit2gtk3-2.32.0-2

Comment 14 Ben Cotton 2021-11-04 14:47:32 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2021-11-04 15:45:50 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2021-11-30 18:25:58 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.